---
title: Cours
profile: false
---

### Développement logiciel pour le Cloud (TLC)

Slides:

  * [Slides 1: Introduction to cloud computing](tlc-course-1.pdf)
  * [Slides 2: Microservices](tlc-course-2.pdf)
  * [Slides 3: Analytics](tlc-course-3.pdf)
  * [Slides 4: Data Management](tlc-course-4.pdf)
    * [Slide 4.1 : DHT (Pastry)](tlc-course-4.1.pdf)
    * [Slide 4.2 : NoSQL (Dynamo DB)](tlc-course-4.2.pdf)

Travaux dirigés :

  * [TD1 : Base de données NoSQL : Google Datastore](td-datastore.pdf)

Lab:

  * [Lab 1: Découverte d'un PaaS : Google AppEngine](tlc-tp1.pdf)
  * [Lab 2: Découverte d'un orchestrateur de conteneurs : Kubernetes](tlc-tp2.pdf)
  * [Lab 3: Découverte d'un IaaS : AWS EC2](tlc-tp3.pdf)
